Subject: [Emu] EAP-TLS 1.3 Success result indications resolution

From: Joseph Salowey <[email-masked]>
Date: Sat, 27 Feb 2021 16:27:08 -0800

We have two options for protected Success 1) a single byte of application
data set to 0 or 2) use close notify.  We have two implementation reports
to indicate that both of these options should be implementable in most
cases.  However, it seems that we have more implementation experience with
the application data than we do with close_notify.  It is also pretty
certain that libraries that provide interfaces to applications, such as
EAP-TLS, will provide a way to send and receive application data.  The
sending of close_notify may not be as controllable and the reception may
not be as detectable in all libraries.

The proposal is to move forward with a single byte of application data set
to 0.  Please comment on the thread if you disagree.  It's likely that we
will discuss this in the EMU meeting at IETF 110.  Perhaps we will have
some more implementation experience by then.

Cheers,

Joe